From 8d6837131706bd0f5dbd573726e7c01775f8256c Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Wed, 4 Sep 2024 08:03:09 +0200
Subject: [PATCH] Revert "When we click on "Audio Setup", calls kcm_pulseaudio"

This reverts commit a54f760987557036b90888a3efa7ad17346a00ed.
---
 apps/kmixwindow.cpp | 22 +---------------------
 apps/kmixwindow.h   |  2 --
 desktop/kmixui.rc   |  1 -
 3 files changed, 1 insertion(+), 24 deletions(-)

diff --git a/apps/kmixwindow.cpp b/apps/kmixwindow.cpp
index fa727f39..fb182f49 100644
--- a/apps/kmixwindow.cpp
+++ b/apps/kmixwindow.cpp
@@ -37,7 +37,6 @@
 #include <klocalizedstring.h>
 #include <kstandardaction.h>
 #include <kxmlguifactory.h>
-#include <KProcess>
 
 // KMix
 #include "kmix_debug.h"
@@ -164,11 +163,7 @@ void KMixWindow::initActions()
 
 	KStandardAction::keyBindings(guiFactory(), &KXMLGUIFactory::showConfigureShortcutsDialog, actionCollection());
 
-	QAction* action = actionCollection()->addAction(QStringLiteral("launch_kdesoundsetup"));
-	action->setText(i18n("Audio Setup..."));
-	connect(action, SIGNAL(triggered(bool)), SLOT(slotKdeAudioSetupExec()));
-
-	action = actionCollection()->addAction(QStringLiteral("hide_kmixwindow"));
+	QAction* action = actionCollection()->addAction(QStringLiteral("hide_kmixwindow"));
 	action->setText(i18n("Hide Mixer Window"));
 	connect(action, SIGNAL(triggered(bool)), SLOT(hideOrClose()));
 	actionCollection()->setDefaultShortcut(action, Qt::Key_Escape);
@@ -1174,21 +1169,6 @@ void KMixWindow::toggleMenuBar()
 	menuBar()->setVisible(_actionShowMenubar->isChecked());
 }
 
-void KMixWindow::slotKdeAudioSetupExec()
-{
-    forkExec(QStringList() << "kcmshell5" << "kcm_pulseaudio");
-}
-
-void KMixWindow::forkExec(const QStringList& args)
-{
-   int pid = KProcess::startDetached(args);
-   if (pid == 0)
-   {
-       KMessageBox::error(this, i18n("The helper application is either not installed or not working.\n\n%1",
-                         args.join(QLatin1String(" "))));
-   }
-}
-
 void KMixWindow::slotConfigureCurrentView()
 {
 	KMixerWidget *mw = qobject_cast<KMixerWidget *>(m_wsMixers->currentWidget());
diff --git a/apps/kmixwindow.h b/apps/kmixwindow.h
index 67560723..0bcb04ed 100644
--- a/apps/kmixwindow.h
+++ b/apps/kmixwindow.h
@@ -86,7 +86,6 @@ protected Q_SLOTS:
 
 private:
     KMixerWidget* findKMWforTab( const QString& tabId );
-    void forkExec(const QStringList& args);
     KToggleAction* _actionShowMenubar;
 
    bool m_startVisible;
@@ -117,7 +116,6 @@ private:
     static QString getKmixctrlRcFilename(const QString &postfix);
 
 private Q_SLOTS:
-   void slotKdeAudioSetupExec();
    void slotConfigureCurrentView();
 
    void plugged(const char *driverName, const QString &udi, int dev);
diff --git a/desktop/kmixui.rc b/desktop/kmixui.rc
index 5c53281a..27ca3351 100644
--- a/desktop/kmixui.rc
+++ b/desktop/kmixui.rc
@@ -16,7 +16,6 @@
  <Menu name="settings">
      <Action name="toggle_channels_currentview" append="save_merge"/>
      <Action name="select_master" append="save_merge"/>
-     <Action name="launch_kdesoundsetup" append="save_merge"/>
  </Menu>
  <Menu name="help" append="about_merge"><text>&amp;Help</text>
   <Action name="hwinfo"/>
-- 
2.46.0

